Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class NodeTemplates

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodeTemplates

    public class NodeTemplates

extends Object

Provides basic xml representation and description for most commonly used nodes.

Nested Class Summary
`static class` | `NodeTemplates.NodeTemplateDescriptor` Wrapper for a node template.

Field Summary
`static String` | `aElementCategory`
`static String` | `aElementDescription`
`static String` | `aElementMemberName`
`static String` | `aElementName`
`static short` | `aElementType`
`static String` | `aElementValue`
`static String` | `altGlyphDefElementCategory`
`static String` | `altGlyphDefElementDescription`
`static String` | `altGlyphDefElementMemberName`
`static String` | `altGlyphDefElementName`
`static short` | `altGlyphDefElementType`
`static String` | `altGlyphDefElementValue`
`static String` | `altGlyphElementCategory`
`static String` | `altGlyphElementDescription`
`static String` | `altGlyphElementMemberName`
`static String` | `altGlyphElementName`
`static short` | `altGlyphElementType`
`static String` | `altGlyphElementValue`
`static String` | `altGlyphItemElementCategory`
`static String` | `altGlyphItemElementDescription`
`static String` | `altGlyphItemElementMemberName`
`static String` | `altGlyphItemElementName`
`static short` | `altGlyphItemElementType`
`static String` | `altGlyphItemElementValue`
`static String` | `animateColorElementCategory`
`static String` | `animateColorElementDescription`
`static String` | `animateColorElementMemberName`
`static String` | `animateColorElementName`
`static short` | `animateColorElementType`
`static String` | `animateColorElementValue`
`static String` | `animateElementCategory`
`static String` | `animateElementDescription`
`static String` | `animateElementMemberName`
`static String` | `animateElementName`
`static short` | `animateElementType`
`static String` | `animateElementValue`
`static String` | `animateMotionElementCategory`
`static String` | `animateMotionElementDescription`
`static String` | `animateMotionElementMemberName`
`static String` | `animateMotionElementName`
`static short` | `animateMotionElementType`
`static String` | `animateMotionElementValue`
`static String` | `animateTransformElementCategory`
`static String` | `animateTransformElementDescription`
`static String` | `animateTransformElementMemberName`
`static String` | `animateTransformElementName`
`static short` | `animateTransformElementType`
`static String` | `animateTransformElementValue`
`static String` | `ANIMATION`
`static String` | `BASIC_SHAPES`
`static String` | `CATEGORY`
`static String` | `circleElementCategory`
`static String` | `circleElementDescription`
`static String` | `circleElementName`
`short` | `circleElementType`
`static String` | `circleElementValue`
`static String` | `circleMemberName`
`static String` | `CLIP_MASK_COMPOSITE`
`static String` | `clipPathElementCategory`
`static String` | `clipPathElementDescription`
`static String` | `clipPathElementMemberName`
`static String` | `clipPathElementName`
`static short` | `clipPathElementType`
`static String` | `clipPathElementValue`
`static String` | `COLOR`
`static String` | `colorProfileElementCategory`
`static String` | `colorProfileElementDescription`
`static String` | `colorProfileElementMemberName`
`static String` | `colorProfileElementName`
`static short` | `colorProfileElementType`
`static String` | `colorProfileElementValue`
`static String` | `cursorElementCategory`
`static String` | `cursorElementDescription`
`static String` | `cursorElementMemberName`
`static String` | `cursorElementName`
`static short` | `cursorElementType`
`static String` | `cursorElementValue`
`static String` | `definitionSrcElementCategory`
`static String` | `definitionSrcElementDescription`
`static String` | `definitionSrcElementMemberName`
`static String` | `definitionSrcElementName`
`static short` | `definitionSrcElementType`
`static String` | `definitionSrcElementValue`
`static String` | `defsElementCategory`
`static String` | `defsElementDescription`
`static String` | `defsElementMemberName`
`static String` | `defsElementName`
`static short` | `defsElementType`
`static String` | `defsElementValue`
`static String` | `descElementCategory`
`static String` | `descElementDescription`
`static String` | `descElementMemberName`
`static String` | `descElementName`
`static short` | `descElementType`
`static String` | `descElementValue`
`static String` | `DESCRIPTION`
`static String` | `DOCUMENT_STRUCTURE`
`static String` | `ellipseElementCategory`
`static String` | `ellipseElementDescription`
`static String` | `ellipseElementMemberName`
`static String` | `ellipseElementName`
`static short` | `ellipseElementType`
`static String` | `ellipseElementValue`
`static String` | `EXTENSIBILITY`
`static String` | `feBlendElementCategory`
`static String` | `feBlendElementDescription`
`static String` | `feBlendElementMemberName`
`static String` | `feBlendElementName`
`static short` | `feBlendElementType`
`static String` | `feBlendElementValue`
`static String` | `feColorMatrixElementCategory`
`static String` | `feColorMatrixElementDescription`
`static String` | `feColorMatrixElementMemberName`
`static String` | `feColorMatrixElementName`
`static short` | `feColorMatrixElementType`
`static String` | `feColorMatrixElementValue`
`static String` | `feComponentTransferElementCategory`
`static String` | `feComponentTransferElementDescription`
`static String` | `feComponentTransferElementMemberName`
`static String` | `feComponentTransferElementName`
`static short` | `feComponentTransferElementType`
`static String` | `feComponentTransferElementValue`
`static String` | `feCompositeElementCategory`
`static String` | `feCompositeElementDescription`
`static String` | `feCompositeElementMemberName`
`static String` | `feCompositeElementName`
`static short` | `feCompositeElementType`
`static String` | `feCompositeElementValue`
`static String` | `feConvolveMatrixElementCategory`
`static String` | `feConvolveMatrixElementDescription`
`static String` | `feConvolveMatrixElementMemberName`
`static String` | `feConvolveMatrixElementName`
`static short` | `feConvolveMatrixElementType`
`static String` | `feConvolveMatrixElementValue`
`static String` | `feDiffuseLightingElementCategory`
`static String` | `feDiffuseLightingElementDescription`
`static String` | `feDiffuseLightingElementMemberName`
`static String` | `feDiffuseLightingElementName`
`static short` | `feDiffuseLightingElementType`
`static String` | `feDiffuseLightingElementValue`
`static String` | `feDisplacementMapElementCategory`
`static String` | `feDisplacementMapElementDescription`
`static String` | `feDisplacementMapElementMemberName`
`static String` | `feDisplacementMapElementName`
`static short` | `feDisplacementMapElementType`
`static String` | `feDisplacementMapElementValue`
`static String` | `feDistantLightElementCategory`
`static String` | `feDistantLightElementDescription`
`static String` | `feDistantLightElementMemberName`
`static String` | `feDistantLightElementName`
`static short` | `feDistantLightElementType`
`static String` | `feDistantLightElementValue`
`static String` | `feFloodElementCategory`
`static String` | `feFloodElementDescription`
`static String` | `feFloodElementMemberName`
`static String` | `feFloodElementName`
`static short` | `feFloodElementType`
`static String` | `feFloodElementValue`
`static String` | `feFuncAElementCategory`
`static String` | `feFuncAElementDescription`
`static String` | `feFuncAElementMemberName`
`static String` | `feFuncAElementName`
`static short` | `feFuncAElementType`
`static String` | `feFuncAElementValue`
`static String` | `feFuncBElementCategory`
`static String` | `feFuncBElementDescription`
`static String` | `feFuncBElementMemberName`
`static String` | `feFuncBElementName`
`static short` | `feFuncBElementType`
`static String` | `feFuncBElementValue`
`static String` | `feFuncGElementCategory`
`static String` | `feFuncGElementDescription`
`static String` | `feFuncGElementMemberName`
`static String` | `feFuncGElementName`
`static short` | `feFuncGElementType`
`static String` | `feFuncGElementValue`
`static String` | `feFuncRElementCategory`
`static String` | `feFuncRElementDescription`
`static String` | `feFuncRElementMemberName`
`static String` | `feFuncRElementName`
`static short` | `feFuncRElementType`
`static String` | `feFuncRElementValue`
`static String` | `feGaussianBlurElementCategory`
`static String` | `feGaussianBlurElementDescription`
`static String` | `feGaussianBlurElementMemberName`
`static String` | `feGaussianBlurElementName`
`static short` | `feGaussianBlurElementType`
`static String` | `feGaussianBlurElementValue`
`static String` | `feImageElementCategory`
`static String` | `feImageElementDescription`
`static String` | `feImageElementMemberName`
`static String` | `feImageElementName`
`static short` | `feImageElementType`
`static String` | `feImageElementValue`
`static String` | `feMergeElementCategory`
`static String` | `feMergeElementDescription`
`static String` | `feMergeElementMemberName`
`static String` | `feMergeElementName`
`static short` | `feMergeElementType`
`static String` | `feMergeElementValue`
`static String` | `feMergeNodeElementCategory`
`static String` | `feMergeNodeElementDescription`
`static String` | `feMergeNodeElementMemberName`
`static String` | `feMergeNodeElementName`
`static short` | `feMergeNodeElementType`
`static String` | `feMergeNodeElementValue`
`static String` | `feMorphologyElementCategory`
`static String` | `feMorphologyElementDescription`
`static String` | `feMorphologyElementMemberName`
`static String` | `feMorphologyElementName`
`static short` | `feMorphologyElementType`
`static String` | `feMorphologyElementValue`
`static String` | `feOffsetElementCategory`
`static String` | `feOffsetElementDescription`
`static String` | `feOffsetElementMemberName`
`static String` | `feOffsetElementName`
`static short` | `feOffsetElementType`
`static String` | `feOffsetElementValue`
`static String` | `fePointLightElementCategory`
`static String` | `fePointLightElementDescription`
`static String` | `fePointLightElementMemberName`
`static String` | `fePointLightElementName`
`static short` | `fePointLightElementType`
`static String` | `fePointLightElementValue`
`static String` | `feSpecularLightingElementCategory`
`static String` | `feSpecularLightingElementDescription`
`static String` | `feSpecularLightingElementMemberName`
`static String` | `feSpecularLightingElementName`
`static short` | `feSpecularLightingElementType`
`static String` | `feSpecularLightingElementValue`
`static String` | `feSpotLightElementCategory`
`static String` | `feSpotLightElementDescription`
`static String` | `feSpotLightElementMemberName`
`static String` | `feSpotLightElementName`
`static short` | `feSpotLightElementType`
`static String` | `feSpotLightElementValue`
`static String` | `feTileElementCategory`
`static String` | `feTileElementDescription`
`static String` | `feTileElementMemberName`
`static String` | `feTileElementName`
`static short` | `feTileElementType`
`static String` | `feTileElementValue`
`static String` | `feTurbulenceElementCategory`
`static String` | `feTurbulenceElementDescription`
`static String` | `feTurbulenceElementMemberName`
`static String` | `feTurbulenceElementName`
`static short` | `feTurbulenceElementType`
`static String` | `feTurbulenceElementValue`
`static String` | `FILTER_EFFECTS`
`static String` | `filterElementCategory`
`static String` | `filterElementDescription`
`static String` | `filterElementMemberName`
`static String` | `filterElementName`
`static short` | `filterElementType`
`static String` | `filterElementValue`
`static String` | `fontElementCategory`
`static String` | `fontElementDescription`
`static String` | `fontElementMemberName`
`static String` | `fontElementName`
`static short` | `fontElementType`
`static String` | `fontElementValue`
`static String` | `fontFaceElementCategory`
`static String` | `fontFaceElementDescription`
`static String` | `fontFaceElementMemberName`
`static String` | `fontFaceElementName`
`static short` | `fontFaceElementType`
`static String` | `fontFaceElementValue`
`static String` | `fontFaceFormatElementCategory`
`static String` | `fontFaceFormatElementDescription`
`static String` | `fontFaceFormatElementMemberName`
`static String` | `fontFaceFormatElementName`
`static short` | `fontFaceFormatElementType`
`static String` | `fontFaceFormatElementValue`
`static String` | `fontFaceNameElementCategory`
`static String` | `fontFaceNameElementDescription`
`static String` | `fontFaceNameElementMemberName`
`static String` | `fontFaceNameElementName`
`static short` | `fontFaceNameElementType`
`static String` | `fontFaceNameElementValue`
`static String` | `fontFaceSrcElementCategory`
`static String` | `fontFaceSrcElementDescription`
`static String` | `fontFaceSrcElementMemberName`
`static String` | `fontFaceSrcElementName`
`static short` | `fontFaceSrcElementType`
`static String` | `fontFaceSrcElementValue`
`static String` | `fontFaceUriElementCategory`
`static String` | `fontFaceUriElementDescription`
`static String` | `fontFaceUriElementMemberName`
`static String` | `fontFaceUriElementName`
`static short` | `fontFaceUriElementType`
`static String` | `fontFaceUriElementValue`
`static String` | `FONTS`
`static String` | `foreignObjectElementCategory`
`static String` | `foreignObjectElementDescription`
`static String` | `foreignObjectElementMemberName`
`static String` | `foreignObjectElementName`
`static short` | `foreignObjectElementType`
`static String` | `foreignObjectElementValue`
`static String` | `glyphElementCategory`
`static String` | `glyphElementDescription`
`static String` | `glyphElementMemberName`
`static String` | `glyphElementName`
`static short` | `glyphElementType`
`static String` | `glyphElementValue`
`static String` | `glyphRefElementCategory`
`static String` | `glyphRefElementDescription`
`static String` | `glyphRefElementMemberName`
`static String` | `glyphRefElementName`
`static short` | `glyphRefElementType`
`static String` | `glyphRefElementValue`
`static String` | `GRADIENTS_AND_PATTERNS`
`static String` | `groupElementCategory`
`static String` | `groupElementDescription`
`static String` | `groupElementMemberName`
`static String` | `groupElementName`
`static short` | `groupElementType`
`static String` | `groupElementValue`
`static String` | `hkernElementCategory`
`static String` | `hkernElementDescription`
`static String` | `hkernElementMemberName`
`static String` | `hkernElementName`
`static short` | `hkernElementType`
`static String` | `hkernElementValue`
`static String` | `imageElementCategory`
`static String` | `imageElementDescription`
`static String` | `imageElementMemberName`
`static String` | `imageElementName`
`static short` | `imageElementType`
`static String` | `imageElementValue`
`static String` | `INTERACTIVITY`
`static String` | `linearGradientElementCategory`
`static String` | `linearGradientElementDescription`
`static String` | `linearGradientElementMemberName`
`static String` | `linearGradientElementName`
`static short` | `linearGradientElementType`
`static String` | `linearGradientElementValue`
`static String` | `lineElementCategory`
`static String` | `lineElementDescription`
`static String` | `lineElementMemberName`
`static String` | `lineElementName`
`static short` | `lineElementType`
`static String` | `lineElementValue`
`static String` | `LINKING`
`static String` | `markerElementCategory`
`static String` | `markerElementDescription`
`static String` | `markerElementMemberName`
`static String` | `markerElementName`
`static short` | `markerElementType`
`static String` | `markerElementValue`
`static String` | `maskElementCategory`
`static String` | `maskElementDescription`
`static String` | `maskElementMemberName`
`static String` | `maskElementName`
`static short` | `maskElementType`
`static String` | `maskElementValue`
`static String` | `METADATA`
`static String` | `metadataElementCategory`
`static String` | `metadataElementDescription`
`static String` | `metadataElementMemberName`
`static String` | `metadataElementName`
`static short` | `metadataElementType`
`static String` | `metadataElementValue`
`static String` | `missingGlyphElementCategory`
`static String` | `missingGlyphElementDescription`
`static String` | `missingGlyphElementMemberName`
`static String` | `missingGlyphElementName`
`static short` | `missingGlyphElementType`
`static String` | `missingGlyphElementValue`
`static String` | `mpathElementCategory`
`static String` | `mpathElementDescription`
`static String` | `mpathElementMemberName`
`static String` | `mpathElementName`
`static short` | `mpathElementType`
`static String` | `mpathElementValue`
`static String` | `NAME`
`static String` | `PAINTING`
`static String` | `pathElementCategory`
`static String` | `pathElementDescription`
`static String` | `pathElementMemberName`
`static String` | `pathElementName`
`static short` | `pathElementType`
`static String` | `pathElementValue`
`static String` | `PATHS`
`static String` | `patternElementCategory`
`static String` | `patternElementDescription`
`static String` | `patternElementMemberName`
`static String` | `patternElementName`
`static short` | `patternElementType`
`static String` | `patternElementValue`
`static String` | `polygonElementCategory`
`static String` | `polygonElementDescription`
`static String` | `polygonElementMemberName`
`static String` | `polygonElementName`
`static short` | `polygonElementType`
`static String` | `polygonElementValue`
`static String` | `polylineElementCategory`
`static String` | `polylineElementDescription`
`static String` | `polylineElementMemberName`
`static String` | `polylineElementName`
`static short` | `polylineElementType`
`static String` | `polylineElementValue`
`static String` | `radialGradientElementCategory`
`static String` | `radialGradientElementDescription`
`static String` | `radialGradientElementMemberName`
`static String` | `radialGradientElementName`
`static short` | `radialGradientElementType`
`static String` | `radialGradientElementValue`
`static String` | `rectElementCategory`
`static String` | `rectElementDescription`
`static String` | `rectElementName`
`static short` | `rectElementType`
`static String` | `rectElementValue`
`static String` | `rectMemberName`
`static String` | `scriptElementCategory`
`static String` | `scriptElementDescription`
`static String` | `scriptElementMemberName`
`static String` | `scriptElementName`
`static short` | `scriptElementType`
`static String` | `scriptElementValue`
`static String` | `SCRIPTING`
`static String` | `setElementCategory`
`static String` | `setElementDescription`
`static String` | `setElementMemberName`
`static String` | `setElementName`
`static short` | `setElementType`
`static String` | `setElementValue`
`static String` | `stopElementCategory`
`static String` | `stopElementDescription`
`static String` | `stopElementMemberName`
`static String` | `stopElementName`
`static short` | `stopElementType`
`static String` | `stopElementValue`
`static String` | `styleElementCategory`
`static String` | `styleElementDescription`
`static String` | `styleElementMemberName`
`static String` | `styleElementName`
`static short` | `styleElementType`
`static String` | `styleElementValue`
`static String` | `STYLING`
`static String` | `svgElementCategory`
`static String` | `svgElementDescription`
`static String` | `svgElementMemberName`
`static String` | `svgElementName`
`static short` | `svgElementType`
`static String` | `svgElementValue`
`static String` | `switchElementCategory`
`static String` | `switchElementDescription`
`static String` | `switchElementMemberName`
`static String` | `switchElementName`
`static short` | `switchElementType`
`static String` | `switchElementValue`
`static String` | `symbolElementCategory`
`static String` | `symbolElementDescription`
`static String` | `symbolElementMemberName`
`static String` | `symbolElementName`
`static short` | `symbolElementType`
`static String` | `symbolElementValue`
`static String` | `TEXT`
`static String` | `textElementCategory`
`static String` | `textElementDescription`
`static String` | `textElementMemberName`
`static String` | `textElementName`
`static short` | `textElementType`
`static String` | `textElementValue`
`static String` | `textPathElementCategory`
`static String` | `textPathElementDescription`
`static String` | `textPathElementMemberName`
`static String` | `textPathElementName`
`static short` | `textPathElementType`
`static String` | `textPathElementValue`
`static String` | `titleElementCategory`
`static String` | `titleElementDescription`
`static String` | `titleElementMemberName`
`static String` | `titleElementName`
`static short` | `titleElementType`
`static String` | `titleElementValue`
`static String` | `tRefElementCategory`
`static String` | `tRefElementDescription`
`static String` | `tRefElementMemberName`
`static String` | `tRefElementName`
`static short` | `tRefElementType`
`static String` | `tRefElementValue`
`static String` | `tspanElementCategory`
`static String` | `tspanElementDescription`
`static String` | `tspanElementMemberName`
`static String` | `tspanElementName`
`static short` | `tspanElementType`
`static String` | `tspanElementValue`
`static String` | `TYPE`
`static String` | `useElementCategory`
`static String` | `useElementDescription`
`static String` | `useElementMemberName`
`static String` | `useElementName`
`static short` | `useElementType`
`static String` | `useElementValue`
`static String` | `VALUE`
`static String` | `viewElementCategory`
`static String` | `viewElementDescription`
`static String` | `viewElementMemberName`
`static String` | `viewElementName`
`static short` | `viewElementType`
`static String` | `viewElementValue`
`static String` | `vkernElementCategory`
`static String` | `vkernElementDescription`
`static String` | `vkernElementMemberName`
`static String` | `vkernElementName`
`static short` | `vkernElementType`
`static String` | `vkernElementValue`

Constructor Summary
`NodeTemplates()` Constructor.

Method Summary
`ArrayList` | `getCategories()` Gets the categories list.
`Map` | `getNodeTemplatesMap()` Map of objects describing node templates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE

    public static final String VALUE

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

### CATEGORY

    public static final String CATEGORY

See Also:
  Constant Field Values

### BASIC_SHAPES

    public static final String BASIC_SHAPES

See Also:
  Constant Field Values

### LINKING

    public static final String LINKING

See Also:
  Constant Field Values

### TEXT

    public static final String TEXT

See Also:
  Constant Field Values

### ANIMATION

    public static final String ANIMATION

See Also:
  Constant Field Values

### CLIP_MASK_COMPOSITE

    public static final String CLIP_MASK_COMPOSITE

See Also:
  Constant Field Values

### COLOR

    public static final String COLOR

See Also:
  Constant Field Values

### INTERACTIVITY

    public static final String INTERACTIVITY

See Also:
  Constant Field Values

### FONTS

    public static final String FONTS

See Also:
  Constant Field Values

### DOCUMENT_STRUCTURE

    public static final String DOCUMENT_STRUCTURE

See Also:
  Constant Field Values

### FILTER_EFFECTS

    public static final String FILTER_EFFECTS

See Also:
  Constant Field Values

### EXTENSIBILITY

    public static final String EXTENSIBILITY

See Also:
  Constant Field Values

### GRADIENTS_AND_PATTERNS

    public static final String GRADIENTS_AND_PATTERNS

See Also:
  Constant Field Values

### PAINTING

    public static final String PAINTING

See Also:
  Constant Field Values

### METADATA

    public static final String METADATA

See Also:
  Constant Field Values

### PATHS

    public static final String PATHS

See Also:
  Constant Field Values

### SCRIPTING

    public static final String SCRIPTING

See Also:
  Constant Field Values

### STYLING

    public static final String STYLING

See Also:
  Constant Field Values

### rectMemberName

    public static String rectMemberName

### rectElementValue

    public static String rectElementValue

### rectElementName

    public static String rectElementName

### rectElementType

    public static short rectElementType

### rectElementCategory

    public static String rectElementCategory

### rectElementDescription

    public static String rectElementDescription

### circleMemberName

    public static String circleMemberName

### circleElementValue

    public static String circleElementValue

### circleElementName

    public static String circleElementName

### circleElementType

    public short circleElementType

### circleElementCategory

    public static String circleElementCategory

### circleElementDescription

    public static String circleElementDescription

### lineElementMemberName

    public static String lineElementMemberName

### lineElementName

    public static String lineElementName

### lineElementValue

    public static String lineElementValue

### lineElementType

    public static short lineElementType

### lineElementCategory

    public static String lineElementCategory

### lineElementDescription

    public static String lineElementDescription

### pathElementMemberName

    public static String pathElementMemberName

### pathElementName

    public static String pathElementName

### pathElementValue

    public static String pathElementValue

### pathElementType

    public static short pathElementType

### pathElementCategory

    public static String pathElementCategory

### pathElementDescription

    public static String pathElementDescription

### groupElementMemberName

    public static String groupElementMemberName

### groupElementName

    public static String groupElementName

### groupElementValue

    public static String groupElementValue

### groupElementType

    public static short groupElementType

### groupElementCategory

    public static String groupElementCategory

### groupElementDescription

    public static String groupElementDescription

### ellipseElementMemberName

    public static String ellipseElementMemberName

### ellipseElementName

    public static String ellipseElementName

### ellipseElementValue

    public static String ellipseElementValue

### ellipseElementType

    public static short ellipseElementType

### ellipseElementCategory

    public static String ellipseElementCategory

### ellipseElementDescription

    public static String ellipseElementDescription

### imageElementMemberName

    public static String imageElementMemberName

### imageElementName

    public static String imageElementName

### imageElementValue

    public static String imageElementValue

### imageElementType

    public static short imageElementType

### imageElementCategory

    public static String imageElementCategory

### imageElementDescription

    public static String imageElementDescription

### polygonElementMemberName

    public static String polygonElementMemberName

### polygonElementName

    public static String polygonElementName

### polygonElementValue

    public static String polygonElementValue

### polygonElementType

    public static short polygonElementType

### polygonElementCategory

    public static String polygonElementCategory

### polygonElementDescription

    public static String polygonElementDescription

### polylineElementMemberName

    public static String polylineElementMemberName

### polylineElementName

    public static String polylineElementName

### polylineElementValue

    public static String polylineElementValue

### polylineElementType

    public static short polylineElementType

### polylineElementCategory

    public static String polylineElementCategory

### polylineElementDescription

    public static String polylineElementDescription

### textElementMemberName

    public static String textElementMemberName

### textElementName

    public static String textElementName

### textElementValue

    public static String textElementValue

### textElementType

    public static short textElementType

### textElementCategory

    public static String textElementCategory

### textElementDescription

    public static String textElementDescription

### tRefElementMemberName

    public static String tRefElementMemberName

### tRefElementName

    public static String tRefElementName

### tRefElementValue

    public static String tRefElementValue

### tRefElementType

    public static short tRefElementType

### tRefElementCategory

    public static String tRefElementCategory

### tRefElementDescription

    public static String tRefElementDescription

### tspanElementMemberName

    public static String tspanElementMemberName

### tspanElementName

    public static String tspanElementName

### tspanElementValue

    public static String tspanElementValue

### tspanElementType

    public static short tspanElementType

### tspanElementCategory

    public static String tspanElementCategory

### tspanElementDescription

    public static String tspanElementDescription

### textPathElementMemberName

    public static String textPathElementMemberName

### textPathElementName

    public static String textPathElementName

### textPathElementValue

    public static String textPathElementValue

### textPathElementType

    public static short textPathElementType

### textPathElementCategory

    public static String textPathElementCategory

### textPathElementDescription

    public static String textPathElementDescription

### svgElementMemberName

    public static String svgElementMemberName

### svgElementName

    public static String svgElementName

### svgElementValue

    public static String svgElementValue

### svgElementType

    public static short svgElementType

### svgElementCategory

    public static String svgElementCategory

### svgElementDescription

    public static String svgElementDescription

### feBlendElementMemberName

    public static String feBlendElementMemberName

### feBlendElementName

    public static String feBlendElementName

### feBlendElementValue

    public static String feBlendElementValue

### feBlendElementType

    public static short feBlendElementType

### feBlendElementCategory

    public static String feBlendElementCategory

### feBlendElementDescription

    public static String feBlendElementDescription

### feColorMatrixElementMemberName

    public static String feColorMatrixElementMemberName

### feColorMatrixElementName

    public static String feColorMatrixElementName

### feColorMatrixElementValue

    public static String feColorMatrixElementValue

### feColorMatrixElementType

    public static short feColorMatrixElementType

### feColorMatrixElementCategory

    public static String feColorMatrixElementCategory

### feColorMatrixElementDescription

    public static String feColorMatrixElementDescription

### feComponentTransferElementMemberName

    public static String feComponentTransferElementMemberName

### feComponentTransferElementName

    public static String feComponentTransferElementName

### feComponentTransferElementValue

    public static String feComponentTransferElementValue

### feComponentTransferElementType

    public static short feComponentTransferElementType

### feComponentTransferElementCategory

    public static String feComponentTransferElementCategory

### feComponentTransferElementDescription

    public static String feComponentTransferElementDescription

### feCompositeElementMemberName

    public static String feCompositeElementMemberName

### feCompositeElementName

    public static String feCompositeElementName

### feCompositeElementValue

    public static String feCompositeElementValue

### feCompositeElementType

    public static short feCompositeElementType

### feCompositeElementCategory

    public static String feCompositeElementCategory

### feCompositeElementDescription

    public static String feCompositeElementDescription

### feConvolveMatrixElementMemberName

    public static String feConvolveMatrixElementMemberName

### feConvolveMatrixElementName

    public static String feConvolveMatrixElementName

### feConvolveMatrixElementValue

    public static String feConvolveMatrixElementValue

### feConvolveMatrixElementType

    public static short feConvolveMatrixElementType

### feConvolveMatrixElementCategory

    public static String feConvolveMatrixElementCategory

### feConvolveMatrixElementDescription

    public static String feConvolveMatrixElementDescription

### feDiffuseLightingElementMemberName

    public static String feDiffuseLightingElementMemberName

### feDiffuseLightingElementName

    public static String feDiffuseLightingElementName

### feDiffuseLightingElementValue

    public static String feDiffuseLightingElementValue

### feDiffuseLightingElementType

    public static short feDiffuseLightingElementType

### feDiffuseLightingElementCategory

    public static String feDiffuseLightingElementCategory

### feDiffuseLightingElementDescription

    public static String feDiffuseLightingElementDescription

### feDisplacementMapElementMemberName

    public static String feDisplacementMapElementMemberName

### feDisplacementMapElementName

    public static String feDisplacementMapElementName

### feDisplacementMapElementValue

    public static String feDisplacementMapElementValue

### feDisplacementMapElementType

    public static short feDisplacementMapElementType

### feDisplacementMapElementCategory

    public static String feDisplacementMapElementCategory

### feDisplacementMapElementDescription

    public static String feDisplacementMapElementDescription

### feDistantLightElementMemberName

    public static String feDistantLightElementMemberName

### feDistantLightElementName

    public static String feDistantLightElementName

### feDistantLightElementValue

    public static String feDistantLightElementValue

### feDistantLightElementType

    public static short feDistantLightElementType

### feDistantLightElementCategory

    public static String feDistantLightElementCategory

### feDistantLightElementDescription

    public static String feDistantLightElementDescription

### feFloodElementMemberName

    public static String feFloodElementMemberName

### feFloodElementName

    public static String feFloodElementName

### feFloodElementValue

    public static String feFloodElementValue

### feFloodElementType

    public static short feFloodElementType

### feFloodElementCategory

    public static String feFloodElementCategory

### feFloodElementDescription

    public static String feFloodElementDescription

### feFuncAElementMemberName

    public static String feFuncAElementMemberName

### feFuncAElementName

    public static String feFuncAElementName

### feFuncAElementValue

    public static String feFuncAElementValue

### feFuncAElementType

    public static short feFuncAElementType

### feFuncAElementCategory

    public static String feFuncAElementCategory

### feFuncAElementDescription

    public static String feFuncAElementDescription

### feFuncBElementMemberName

    public static String feFuncBElementMemberName

### feFuncBElementName

    public static String feFuncBElementName

### feFuncBElementValue

    public static String feFuncBElementValue

### feFuncBElementType

    public static short feFuncBElementType

### feFuncBElementCategory

    public static String feFuncBElementCategory

### feFuncBElementDescription

    public static String feFuncBElementDescription

### feFuncGElementMemberName

    public static String feFuncGElementMemberName

### feFuncGElementName

    public static String feFuncGElementName

### feFuncGElementValue

    public static String feFuncGElementValue

### feFuncGElementType

    public static short feFuncGElementType

### feFuncGElementCategory

    public static String feFuncGElementCategory

### feFuncGElementDescription

    public static String feFuncGElementDescription

### feFuncRElementMemberName

    public static String feFuncRElementMemberName

### feFuncRElementName

    public static String feFuncRElementName

### feFuncRElementValue

    public static String feFuncRElementValue

### feFuncRElementType

    public static short feFuncRElementType

### feFuncRElementCategory

    public static String feFuncRElementCategory

### feFuncRElementDescription

    public static String feFuncRElementDescription

### feGaussianBlurElementMemberName

    public static String feGaussianBlurElementMemberName

### feGaussianBlurElementName

    public static String feGaussianBlurElementName

### feGaussianBlurElementValue

    public static String feGaussianBlurElementValue

### feGaussianBlurElementType

    public static short feGaussianBlurElementType

### feGaussianBlurElementCategory

    public static String feGaussianBlurElementCategory

### feGaussianBlurElementDescription

    public static String feGaussianBlurElementDescription

### feImageElementMemberName

    public static String feImageElementMemberName

### feImageElementName

    public static String feImageElementName

### feImageElementValue

    public static String feImageElementValue

### feImageElementType

    public static short feImageElementType

### feImageElementCategory

    public static String feImageElementCategory

### feImageElementDescription

    public static String feImageElementDescription

### feMergeElementMemberName

    public static String feMergeElementMemberName

### feMergeElementName

    public static String feMergeElementName

### feMergeElementValue

    public static String feMergeElementValue

### feMergeElementType

    public static short feMergeElementType

### feMergeElementCategory

    public static String feMergeElementCategory

### feMergeElementDescription

    public static String feMergeElementDescription

### feMergeNodeElementMemberName

    public static String feMergeNodeElementMemberName

### feMergeNodeElementName

    public static String feMergeNodeElementName

### feMergeNodeElementValue

    public static String feMergeNodeElementValue

### feMergeNodeElementType

    public static short feMergeNodeElementType

### feMergeNodeElementCategory

    public static String feMergeNodeElementCategory

### feMergeNodeElementDescription

    public static String feMergeNodeElementDescription

### feMorphologyElementMemberName

    public static String feMorphologyElementMemberName

### feMorphologyElementName

    public static String feMorphologyElementName

### feMorphologyElementValue

    public static String feMorphologyElementValue

### feMorphologyElementType

    public static short feMorphologyElementType

### feMorphologyElementCategory

    public static String feMorphologyElementCategory

### feMorphologyElementDescription

    public static String feMorphologyElementDescription

### feOffsetElementMemberName

    public static String feOffsetElementMemberName

### feOffsetElementName

    public static String feOffsetElementName

### feOffsetElementValue

    public static String feOffsetElementValue

### feOffsetElementType

    public static short feOffsetElementType

### feOffsetElementCategory

    public static String feOffsetElementCategory

### feOffsetElementDescription

    public static String feOffsetElementDescription

### fePointLightElementMemberName

    public static String fePointLightElementMemberName

### fePointLightElementName

    public static String fePointLightElementName

### fePointLightElementValue

    public static String fePointLightElementValue

### fePointLightElementType

    public static short fePointLightElementType

### fePointLightElementCategory

    public static String fePointLightElementCategory

### fePointLightElementDescription

    public static String fePointLightElementDescription

### feSpecularLightingElementMemberName

    public static String feSpecularLightingElementMemberName

### feSpecularLightingElementName

    public static String feSpecularLightingElementName

### feSpecularLightingElementValue

    public static String feSpecularLightingElementValue

### feSpecularLightingElementType

    public static short feSpecularLightingElementType

### feSpecularLightingElementCategory

    public static String feSpecularLightingElementCategory

### feSpecularLightingElementDescription

    public static String feSpecularLightingElementDescription

### feSpotLightElementMemberName

    public static String feSpotLightElementMemberName

### feSpotLightElementName

    public static String feSpotLightElementName

### feSpotLightElementValue

    public static String feSpotLightElementValue

### feSpotLightElementType

    public static short feSpotLightElementType

### feSpotLightElementCategory

    public static String feSpotLightElementCategory

### feSpotLightElementDescription

    public static String feSpotLightElementDescription

### feTileElementMemberName

    public static String feTileElementMemberName

### feTileElementName

    public static String feTileElementName

### feTileElementValue

    public static String feTileElementValue

### feTileElementType

    public static short feTileElementType

### feTileElementCategory

    public static String feTileElementCategory

### feTileElementDescription

    public static String feTileElementDescription

### feTurbulenceElementMemberName

    public static String feTurbulenceElementMemberName

### feTurbulenceElementName

    public static String feTurbulenceElementName

### feTurbulenceElementValue

    public static String feTurbulenceElementValue

### feTurbulenceElementType

    public static short feTurbulenceElementType

### feTurbulenceElementCategory

    public static String feTurbulenceElementCategory

### feTurbulenceElementDescription

    public static String feTurbulenceElementDescription

### filterElementMemberName

    public static String filterElementMemberName

### filterElementName

    public static String filterElementName

### filterElementValue

    public static String filterElementValue

### filterElementType

    public static short filterElementType

### filterElementCategory

    public static String filterElementCategory

### filterElementDescription

    public static String filterElementDescription

### aElementMemberName

    public static String aElementMemberName

### aElementName

    public static String aElementName

### aElementValue

    public static String aElementValue

### aElementType

    public static short aElementType

### aElementCategory

    public static String aElementCategory

### aElementDescription

    public static String aElementDescription

### altGlyphElementMemberName

    public static String altGlyphElementMemberName

### altGlyphElementName

    public static String altGlyphElementName

### altGlyphElementValue

    public static String altGlyphElementValue

### altGlyphElementType

    public static short altGlyphElementType

### altGlyphElementCategory

    public static String altGlyphElementCategory

### altGlyphElementDescription

    public static String altGlyphElementDescription

### altGlyphDefElementMemberName

    public static String altGlyphDefElementMemberName

### altGlyphDefElementName

    public static String altGlyphDefElementName

### altGlyphDefElementValue

    public static String altGlyphDefElementValue

### altGlyphDefElementType

    public static short altGlyphDefElementType

### altGlyphDefElementCategory

    public static String altGlyphDefElementCategory

### altGlyphDefElementDescription

    public static String altGlyphDefElementDescription

### altGlyphItemElementMemberName

    public static String altGlyphItemElementMemberName

### altGlyphItemElementName

    public static String altGlyphItemElementName

### altGlyphItemElementValue

    public static String altGlyphItemElementValue

### altGlyphItemElementType

    public static short altGlyphItemElementType

### altGlyphItemElementCategory

    public static String altGlyphItemElementCategory

### altGlyphItemElementDescription

    public static String altGlyphItemElementDescription

### clipPathElementMemberName

    public static String clipPathElementMemberName

### clipPathElementName

    public static String clipPathElementName

### clipPathElementValue

    public static String clipPathElementValue

### clipPathElementType

    public static short clipPathElementType

### clipPathElementCategory

    public static String clipPathElementCategory

### clipPathElementDescription

    public static String clipPathElementDescription

### colorProfileElementMemberName

    public static String colorProfileElementMemberName

### colorProfileElementName

    public static String colorProfileElementName

### colorProfileElementValue

    public static String colorProfileElementValue

### colorProfileElementType

    public static short colorProfileElementType

### colorProfileElementCategory

    public static String colorProfileElementCategory

### colorProfileElementDescription

    public static String colorProfileElementDescription

### cursorElementMemberName

    public static String cursorElementMemberName

### cursorElementName

    public static String cursorElementName

### cursorElementValue

    public static String cursorElementValue

### cursorElementType

    public static short cursorElementType

### cursorElementCategory

    public static String cursorElementCategory

### cursorElementDescription

    public static String cursorElementDescription

### definitionSrcElementMemberName

    public static String definitionSrcElementMemberName

### definitionSrcElementName

    public static String definitionSrcElementName

### definitionSrcElementValue

    public static String definitionSrcElementValue

### definitionSrcElementType

    public static short definitionSrcElementType

### definitionSrcElementCategory

    public static String definitionSrcElementCategory

### definitionSrcElementDescription

    public static String definitionSrcElementDescription

### defsElementMemberName

    public static String defsElementMemberName

### defsElementName

    public static String defsElementName

### defsElementValue

    public static String defsElementValue

### defsElementType

    public static short defsElementType

### defsElementCategory

    public static String defsElementCategory

### defsElementDescription

    public static String defsElementDescription

### descElementMemberName

    public static String descElementMemberName

### descElementName

    public static String descElementName

### descElementValue

    public static String descElementValue

### descElementType

    public static short descElementType

### descElementCategory

    public static String descElementCategory

### descElementDescription

    public static String descElementDescription

### foreignObjectElementMemberName

    public static String foreignObjectElementMemberName

### foreignObjectElementName

    public static String foreignObjectElementName

### foreignObjectElementValue

    public static String foreignObjectElementValue

### foreignObjectElementType

    public static short foreignObjectElementType

### foreignObjectElementCategory

    public static String foreignObjectElementCategory

### foreignObjectElementDescription

    public static String foreignObjectElementDescription

### glyphElementMemberName

    public static String glyphElementMemberName

### glyphElementName

    public static String glyphElementName

### glyphElementValue

    public static String glyphElementValue

### glyphElementType

    public static short glyphElementType

### glyphElementCategory

    public static String glyphElementCategory

### glyphElementDescription

    public static String glyphElementDescription

### glyphRefElementMemberName

    public static String glyphRefElementMemberName

### glyphRefElementName

    public static String glyphRefElementName

### glyphRefElementValue

    public static String glyphRefElementValue

### glyphRefElementType

    public static short glyphRefElementType

### glyphRefElementCategory

    public static String glyphRefElementCategory

### glyphRefElementDescription

    public static String glyphRefElementDescription

### hkernElementMemberName

    public static String hkernElementMemberName

### hkernElementName

    public static String hkernElementName

### hkernElementValue

    public static String hkernElementValue

### hkernElementType

    public static short hkernElementType

### hkernElementCategory

    public static String hkernElementCategory

### hkernElementDescription

    public static String hkernElementDescription

### linearGradientElementMemberName

    public static String linearGradientElementMemberName

### linearGradientElementName

    public static String linearGradientElementName

### linearGradientElementValue

    public static String linearGradientElementValue

### linearGradientElementType

    public static short linearGradientElementType

### linearGradientElementCategory

    public static String linearGradientElementCategory

### linearGradientElementDescription

    public static String linearGradientElementDescription

### markerElementMemberName

    public static String markerElementMemberName

### markerElementName

    public static String markerElementName

### markerElementValue

    public static String markerElementValue

### markerElementType

    public static short markerElementType

### markerElementCategory

    public static String markerElementCategory

### markerElementDescription

    public static String markerElementDescription

### maskElementMemberName

    public static String maskElementMemberName

### maskElementName

    public static String maskElementName

### maskElementValue

    public static String maskElementValue

### maskElementType

    public static short maskElementType

### maskElementCategory

    public static String maskElementCategory

### maskElementDescription

    public static String maskElementDescription

### metadataElementMemberName

    public static String metadataElementMemberName

### metadataElementName

    public static String metadataElementName

### metadataElementValue

    public static String metadataElementValue

### metadataElementType

    public static short metadataElementType

### metadataElementCategory

    public static String metadataElementCategory

### metadataElementDescription

    public static String metadataElementDescription

### missingGlyphElementMemberName

    public static String missingGlyphElementMemberName

### missingGlyphElementName

    public static String missingGlyphElementName

### missingGlyphElementValue

    public static String missingGlyphElementValue

### missingGlyphElementType

    public static short missingGlyphElementType

### missingGlyphElementCategory

    public static String missingGlyphElementCategory

### missingGlyphElementDescription

    public static String missingGlyphElementDescription

### mpathElementMemberName

    public static String mpathElementMemberName

### mpathElementName

    public static String mpathElementName

### mpathElementValue

    public static String mpathElementValue

### mpathElementType

    public static short mpathElementType

### mpathElementCategory

    public static String mpathElementCategory

### mpathElementDescription

    public static String mpathElementDescription

### patternElementMemberName

    public static String patternElementMemberName

### patternElementName

    public static String patternElementName

### patternElementValue

    public static String patternElementValue

### patternElementType

    public static short patternElementType

### patternElementCategory

    public static String patternElementCategory

### patternElementDescription

    public static String patternElementDescription

### radialGradientElementMemberName

    public static String radialGradientElementMemberName

### radialGradientElementName

    public static String radialGradientElementName

### radialGradientElementValue

    public static String radialGradientElementValue

### radialGradientElementType

    public static short radialGradientElementType

### radialGradientElementCategory

    public static String radialGradientElementCategory

### radialGradientElementDescription

    public static String radialGradientElementDescription

### scriptElementMemberName

    public static String scriptElementMemberName

### scriptElementName

    public static String scriptElementName

### scriptElementValue

    public static String scriptElementValue

### scriptElementType

    public static short scriptElementType

### scriptElementCategory

    public static String scriptElementCategory

### scriptElementDescription

    public static String scriptElementDescription

### setElementMemberName

    public static String setElementMemberName

### setElementName

    public static String setElementName

### setElementValue

    public static String setElementValue

### setElementType

    public static short setElementType

### setElementCategory

    public static String setElementCategory

### setElementDescription

    public static String setElementDescription

### stopElementMemberName

    public static String stopElementMemberName

### stopElementName

    public static String stopElementName

### stopElementValue

    public static String stopElementValue

### stopElementType

    public static short stopElementType

### stopElementCategory

    public static String stopElementCategory

### stopElementDescription

    public static String stopElementDescription

### styleElementMemberName

    public static String styleElementMemberName

### styleElementName

    public static String styleElementName

### styleElementValue

    public static String styleElementValue

### styleElementType

    public static short styleElementType

### styleElementCategory

    public static String styleElementCategory

### styleElementDescription

    public static String styleElementDescription

### switchElementMemberName

    public static String switchElementMemberName

### switchElementName

    public static String switchElementName

### switchElementValue

    public static String switchElementValue

### switchElementType

    public static short switchElementType

### switchElementCategory

    public static String switchElementCategory

### switchElementDescription

    public static String switchElementDescription

### symbolElementMemberName

    public static String symbolElementMemberName

### symbolElementName

    public static String symbolElementName

### symbolElementValue

    public static String symbolElementValue

### symbolElementType

    public static short symbolElementType

### symbolElementCategory

    public static String symbolElementCategory

### symbolElementDescription

    public static String symbolElementDescription

### titleElementMemberName

    public static String titleElementMemberName

### titleElementName

    public static String titleElementName

### titleElementValue

    public static String titleElementValue

### titleElementType

    public static short titleElementType

### titleElementCategory

    public static String titleElementCategory

### titleElementDescription

    public static String titleElementDescription

### useElementMemberName

    public static String useElementMemberName

### useElementName

    public static String useElementName

### useElementValue

    public static String useElementValue

### useElementType

    public static short useElementType

### useElementCategory

    public static String useElementCategory

### useElementDescription

    public static String useElementDescription

### viewElementMemberName

    public static String viewElementMemberName

### viewElementName

    public static String viewElementName

### viewElementValue

    public static String viewElementValue

### viewElementType

    public static short viewElementType

### viewElementCategory

    public static String viewElementCategory

### viewElementDescription

    public static String viewElementDescription

### vkernElementMemberName

    public static String vkernElementMemberName

### vkernElementName

    public static String vkernElementName

### vkernElementValue

    public static String vkernElementValue

### vkernElementType

    public static short vkernElementType

### vkernElementCategory

    public static String vkernElementCategory

### vkernElementDescription

    public static String vkernElementDescription

### fontElementMemberName

    public static String fontElementMemberName

### fontElementName

    public static String fontElementName

### fontElementValue

    public static String fontElementValue

### fontElementType

    public static short fontElementType

### fontElementCategory

    public static String fontElementCategory

### fontElementDescription

    public static String fontElementDescription

### fontFaceElementMemberName

    public static String fontFaceElementMemberName

### fontFaceElementName

    public static String fontFaceElementName

### fontFaceElementValue

    public static String fontFaceElementValue

### fontFaceElementType

    public static short fontFaceElementType

### fontFaceElementCategory

    public static String fontFaceElementCategory

### fontFaceElementDescription

    public static String fontFaceElementDescription

### fontFaceFormatElementMemberName

    public static String fontFaceFormatElementMemberName

### fontFaceFormatElementName

    public static String fontFaceFormatElementName

### fontFaceFormatElementValue

    public static String fontFaceFormatElementValue

### fontFaceFormatElementType

    public static short fontFaceFormatElementType

### fontFaceFormatElementCategory

    public static String fontFaceFormatElementCategory

### fontFaceFormatElementDescription

    public static String fontFaceFormatElementDescription

### fontFaceNameElementMemberName

    public static String fontFaceNameElementMemberName

### fontFaceNameElementName

    public static String fontFaceNameElementName

### fontFaceNameElementValue

    public static String fontFaceNameElementValue

### fontFaceNameElementType

    public static short fontFaceNameElementType

### fontFaceNameElementCategory

    public static String fontFaceNameElementCategory

### fontFaceNameElementDescription

    public static String fontFaceNameElementDescription

### fontFaceSrcElementMemberName

    public static String fontFaceSrcElementMemberName

### fontFaceSrcElementName

    public static String fontFaceSrcElementName

### fontFaceSrcElementValue

    public static String fontFaceSrcElementValue

### fontFaceSrcElementType

    public static short fontFaceSrcElementType

### fontFaceSrcElementCategory

    public static String fontFaceSrcElementCategory

### fontFaceSrcElementDescription

    public static String fontFaceSrcElementDescription

### fontFaceUriElementMemberName

    public static String fontFaceUriElementMemberName

### fontFaceUriElementName

    public static String fontFaceUriElementName

### fontFaceUriElementValue

    public static String fontFaceUriElementValue

### fontFaceUriElementType

    public static short fontFaceUriElementType

### fontFaceUriElementCategory

    public static String fontFaceUriElementCategory

### fontFaceUriElementDescription

    public static String fontFaceUriElementDescription

### animateElementMemberName

    public static String animateElementMemberName

### animateElementName

    public static String animateElementName

### animateElementValue

    public static String animateElementValue

### animateElementType

    public static short animateElementType

### animateElementCategory

    public static String animateElementCategory

### animateElementDescription

    public static String animateElementDescription

### animateColorElementMemberName

    public static String animateColorElementMemberName

### animateColorElementName

    public static String animateColorElementName

### animateColorElementValue

    public static String animateColorElementValue

### animateColorElementType

    public static short animateColorElementType

### animateColorElementCategory

    public static String animateColorElementCategory

### animateColorElementDescription

    public static String animateColorElementDescription

### animateMotionElementMemberName

    public static String animateMotionElementMemberName

### animateMotionElementName

    public static String animateMotionElementName

### animateMotionElementValue

    public static String animateMotionElementValue

### animateMotionElementType

    public static short animateMotionElementType

### animateMotionElementCategory

    public static String animateMotionElementCategory

### animateMotionElementDescription

    public static String animateMotionElementDescription

### animateTransformElementMemberName

    public static String animateTransformElementMemberName

### animateTransformElementName

    public static String animateTransformElementName

### animateTransformElementValue

    public static String animateTransformElementValue

### animateTransformElementType

    public static short animateTransformElementType

### animateTransformElementCategory

    public static String animateTransformElementCategory

### animateTransformElementDescription

    public static String animateTransformElementDescription

Constructor Detail

### NodeTemplates

    public NodeTemplates()

  Constructor.

Method Detail

### getCategories

    public ArrayList getCategories()

  Gets the categories list.

  Returns:
    categoriesList

### getNodeTemplatesMap

    public Map getNodeTemplatesMap()

  Map of objects describing node templates.

  Returns:
    nodeTemplatesMap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.